local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____render = require("functions.render")
local renderTextOnEntity = ____render.renderTextOnEntity
local ____Feature = require("classes.private.Feature")
local Feature = ____Feature.Feature
local ____utils = require("classes.features.other.debugDisplay.utils")
local defaultEntityDisplayCallback = ____utils.defaultEntityDisplayCallback
____exports.DebugDisplayProjectile = __TS__Class()
local DebugDisplayProjectile = ____exports.DebugDisplayProjectile
DebugDisplayProjectile.name = "DebugDisplayProjectile"
__TS__ClassExtends(DebugDisplayProjectile, Feature)
function DebugDisplayProjectile.prototype.____constructor(self)
    Feature.prototype.____constructor(self)
    self.textCallback = defaultEntityDisplayCallback
    self.postProjectileRender = function(____, projectile)
        local text = self:textCallback(projectile)
        renderTextOnEntity(nil, projectile, text)
    end
    self.callbacksUsed = {{ModCallback.POST_PROJECTILE_RENDER, self.postProjectileRender}}
end
return ____exports
